XfceTitledDialog
3
LIBXFCEGUI4 Library

# XfceTitledDialog

## Synopsis

    #include <libxfcegui4/libxfcegui4.h>

                        XfceTitledDialog;
    GtkWidget*          xfce_titled_dialog_new              (void);
    GtkWidget*          xfce_titled_dialog_new_with_buttons (const gchar *title,
                                                             GtkWindow *parent,
                                                             GtkDialogFlags flags,
                                                             const gchar *first_button_text,
                                                             ...);
    const gchar*        xfce_titled_dialog_get_subtitle     (XfceTitledDialog *titled_dialog);
    void                xfce_titled_dialog_set_subtitle     (XfceTitledDialog *titled_dialog,
                                                             const gchar *subtitle);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----XfceTitledDialog

## Implemented Interfaces

XfceTitledDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "subtitle"                 gchar*                : Read / Write

## Description

## Details

### XfceTitledDialog

    typedef struct _XfceTitledDialog XfceTitledDialog;

### xfce_titled_dialog_new ()

    GtkWidget*          xfce_titled_dialog_new              (void);

Allocates a new XfceTitledDialog instance.

Returns :

  the newly allocated XfceTitledDialog.

Since 4.4.0

### xfce_titled_dialog_new_with_buttons ()

    GtkWidget*          xfce_titled_dialog_new_with_buttons (const gchar *title,
                                                             GtkWindow *parent,
                                                             GtkDialogFlags flags,
                                                             const gchar *first_button_text,
                                                             ...);

See the documentation of `gtk_dialog_new_with_buttons()` for details about the parameters and the returned dialog.

`title` :

  title of the dialog, or `NULL`.

`parent` :

  transient parent window of the dialog, or `NULL`.

`flags` :

  from GtkDialogFlags.

`first_button_text` :

  stock ID or text to go in first, or `NULL`.

`...` :

  response ID for the first button, then additional buttons, ending with `NULL`.

Returns :

  the newly allocated XfceTitledDialog.

Since 4.4.0

### xfce_titled_dialog_get_subtitle ()

    const gchar*        xfce_titled_dialog_get_subtitle     (XfceTitledDialog *titled_dialog);

Returns the subtitle of the `titled_dialog`, or `NULL` if no subtitle is displayed in the `titled_dialog`.

`titled_dialog` :

  a XfceTitledDialog.

Returns :

  the subtitle of `titled_dialog`, or `NULL`.

Since 4.4.0

### xfce_titled_dialog_set_subtitle ()

    void                xfce_titled_dialog_set_subtitle     (XfceTitledDialog *titled_dialog,
                                                             const gchar *subtitle);

Sets the subtitle displayed by `titled_dialog` to `subtitle`; if `subtitle` is `NULL` no subtitle will be displayed by the `titled_dialog`.

`titled_dialog` :

  a XfceTitledDialog.

`subtitle` :

  the new subtitle for the `titled_dialog`, or `NULL`.

Since 4.4.0

## Property Details

### The `"subtitle"` property

      "subtitle"                 gchar*                : Read / Write

The subtitle displayed below the main dialog title.

Default value: NULL

Since 4.4.0